package jp.sakotsu.sound {
	import flash.media.*;
	import caurina.transitions.Tweener;
	import caurina.transitions.properties.SoundShortcuts;
	
	
	/**************************************************************
	 *
	 * TweenEngine
	 * （※Tweenerが肩代わりしてくれています）
	 * 
	 *************************************************************/
	public class TweenEngine {
		
		
		//--------------------------------------------------------------------------
		// コンストラクタ
		//--------------------------------------------------------------------------
		public function TweenEngine() {}
		
		
		// 初期設定
		//--------------------------------------------------------------------------
		public static function init():void {
			
			SoundShortcuts.init();
		}
		
		// 音量のフェード操作
		//--------------------------------------------------------------------------
		public static function tweenVolume( channel:SoundChannel, volume:Number, time:Number = 1.0 ):void {
			
			Tweener.addTween( channel, { _sound_volume:volume, time:time } );
		}
		
		// パンのフェード操作
		//--------------------------------------------------------------------------
		public static function tweenPan( channel:SoundChannel, pan:Number, time:Number = 1.0 ):void{
			
			Tweener.addTween( channel, { _sound_pan:pan, time:time } );
		}
		
		
	}
	
	
}